# $Revision: 1.14 $, $Date: 2004/12/14 14:20:18 $
Summary:	Execute a command when the contents of a directory change
Summary(pl):	Wykonywanie polece po zmianie zawartoci katalogu
Name:		dnotify
Version:	0.18.0
Release:	1
Epoch:		1
License:	GPL
Vendor:		Oskar Liljeblad <oskar@osk.mine.nu>
Group:		Applications/File
Source0:	http://www.student.lu.se/~nbi98oli/src/%{name}-%{version}.tar.gz
# Source0-md5:	7af869cee7e07b10817c4e7918ad0aee
URL:		http://www.student.lu.se/~nbi98oli/dnotify.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dnotify is a simple program that makes it possible to execute a
command every time the contents of a specific directory change in
Linux. It is run from the command line and takes two arguments: one or
more directories to monitor and a command to execute whenever a
directory has changed. Options control what events to trigger on: when
a file was read in the directory, when one was created, deleted and so
on.

%description -l pl
dnotify to prosty program, ktry umoliwia wykonanie polecenia za
kadym razem, kiedy zawarto danego katalogu pod Linuksem ulegnie
zmianie. Program jest uruchamiany z linii polece i przyjmuje dwa
parametry: jeden lub wicej katalogw do monitorowania oraz polecenie
do wykonania po kadej zmianie zawartoci katalogu. Opcje kontroluj,
jakie zdarzenia maj spowodowa uruchomienie polecenia: kiedy w
katalogu jaki plik by czytany, zosta utworzony lub usunity itp.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS NEWS TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dnotify.spec,v $
Revision 1.14  2004/12/14 14:20:18  krzak
- up to 0.18.0

Revision 1.13  2004/10/03 14:25:24  paladine
- updated to 0.17.2

Revision 1.12  2004/09/17 20:41:00  paszczus
- updated to 0.17.1

Revision 1.11  2004/09/02 09:42:26  zergin
- added missing BR: gettext-devel (by Zbyniu Krzystolik)

Revision 1.10  2004/08/31 12:50:33  grzegol
- updated to 0.17.0

Revision 1.9  2004/08/21 19:07:12  misi3k
- updated to 0.16.0
- added find_lang

Revision 1.8  2003/11/30 17:49:07  adamg
- updated to 0.14

Revision 1.7  2003/09/03 21:20:46  deejay1
- typo
- added auto* tools

Revision 1.6  2003/06/22 13:18:47  misi3k
- updated to 0.13.0

Revision 1.5  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:46:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/19 01:38:06  qboosh
- pl description

Revision 1.2  2003/01/17 01:46:27  kloczek
- rewrited.
